<%#-- copyright
OpenProject is an open source project management software.
Copyright (C) 2012-2023 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<html>
  <head>
    <style>
      :root {
        color-scheme: light;
        supported-color-schemes: light;
      }

      body {
        font-family: Verdana, sans-serif;
        font-size: 0.8em;
        color: #484848;
        background: #FFFFFF;
      }

      /* Enforcing the white background */
      @media (prefers-color-scheme: dark) {
        body {
          color: #484848 !important;
          background: #FFFFFF !important;
        }
      }

      h1, h2, h3 { font-family: "Trebuchet MS", Verdana, sans-serif; margin: 0px; }
      h1 { font-size: 1.2em; }
      h2, h3 { font-size: 1.1em; }
      h2.emailTitle { color: #0055d4; font-size: 2em; }
      a, a:link, a:visited { color: #2A5685;}
      a:hover, a:active { color: #c61a1a; }
      a.op-uc-link_permalink { display: none; }
      hr {
        width: 100%;
        height: 1px;
        background: #ccc;
        border: 0;
      }
      blockquote {
        border-left: 3px solid #E0E0E0;
        font-style: italic;
        margin-left: 2.4em;
        padding-left: 0.6em;
      }
      pre {
        white-space: normal;
      }
      img {
        width: 100%;
      }
      .footer {
        font-size: 0.8em;
        font-style: italic;
        border-top-width: 1px;
        border-top-color: #ccc;
        border-top-style: solid;
      }
      .header,
      .body,
      .footer {
        max-width: 700px;
        width: 100%;
        margin-left: auto;
        margin-right: auto;
      }
      a.user-mention:before {
        content: '@';
        color: #878787;
      }
    </style>

    <meta name="x-apple-disable-message-reformatting">
    <meta name="viewport" content="initial-scale=1.0">
  </head>
  <body style="padding: 0">
      <table class="header">
        <tr>
          <td>
            <%= OpenProject::TextFormatting::Renderer.format_text(Setting.localized_emails_header) %>
          </td>
        </tr>
      </table>
      <%= call_hook(:view_layouts_mailer_html_before_content, self.assigns) %>
      <table class="body">
        <tr>
          <td>
            <%= yield %>
          </td>
        </tr>
      </table>
      <%= call_hook(:view_layouts_mailer_html_after_content, self.assigns) %>
      <table class="footer">
        <tr>
          <td>
            <%= OpenProject::TextFormatting::Renderer.format_text(Setting.localized_emails_footer) %>
          </td>
        </tr>
      </table>
  </body>
</html>
